Subject: Re: [PATCH v2] drivers/net/usb/asix: resync from vendor's copy

From: Mark Lord <[email-masked]>
Date: Thu, 10 Nov 2011 15:17:26 -0500

On 11-11-10 11:54 AM, Grant Grundler wrote:
> ...  and I was certain on their own, ASIX
> wouldn't get that upstream in one shot. No one knows them. No one
> trusts them. Asix never mentioned that they had already hired you to
> do it (and I am pretty sure you could have).

Just to clarify, ASIX did not contract me for any of this.
Rather, another of my clients requires working ASIX USB support,
and approved my working on that at their expense.

I've got working ASIX support now, just not in the mainline kernel.
The code is GPL, so we could stuff it in anyway,
but I think it would be better to do so with the
full cooperation of the nice folks at ASIX.

But for now, they seem happy to prefer feeding patches
only as requested, currently through Grant, rather than
trying to get the in-kernel driver brought fully up to date.

Cheers